Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.layout1
Class StoreRDB

    java.lang.Object
      com.hp.hpl.jena.sdb.sql.SDBConnectionHolder
          com.hp.hpl.jena.sdb.layout1.StoreBase1
              com.hp.hpl.jena.sdb.layout1.StoreRDB

All Implemented Interfaces:
  Store

    public class StoreRDB

extends StoreBase1

Store class for the Jena2 databse layout : query-only, not update via this route (use ModelRDB as normal).

Author:
  Andy Seaborne

Constructor Summary
`StoreRDB(StoreDesc desc, com.hp.hpl.jena.db.ModelRDB model)`

Method Summary
`com.hp.hpl.jena.db.ModelRDB` | `getModel()`
`long` | `getSize()` Default implementation: get size of Triples table
`static SDBConnection` | `makeSDBConnection(com.hp.hpl.jena.db.ModelRDB model)`

Methods inherited from class com.hp.hpl.jena.sdb.layout1.StoreBase1
`close, getConfiguration, getConnection, getDatabaseType, getLayoutType, getLoader, getNodeTableDesc, getQuadTableDesc, getQueryCompilerFactory, getSize, getSQLBridgeFactory, getSQLGenerator, getTableFormatter, getTripleTableDesc, isClosed`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StoreRDB

    public StoreRDB(StoreDesc desc,
                    com.hp.hpl.jena.db.ModelRDB model)

Method Detail

### makeSDBConnection

    public static SDBConnection makeSDBConnection(com.hp.hpl.jena.db.ModelRDB model)

### getModel

    public com.hp.hpl.jena.db.ModelRDB getModel()

### getSize

    public long getSize()

  Description copied from class: `StoreBase1`
  Default implementation: get size of Triples table

  Specified by:
    `getSize` in interface `Store`
  Overrides:
    `getSize` in class `StoreBase1`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.